Issue 96898

Summary: chart2: reduce library exports
Product: General Reporter: Stephan Bergmann <stephan.bergmann.secondary>
Component: chartAssignee: Stephan Bergmann <stephan.bergmann.secondary>
Status: CLOSED FIXED QA Contact: issues@graphics <issues>
Severity: Trivial    
Priority: P3 CC: IngridvdM, issues
Version: 3.3.0 or older (OOo)   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description Stephan Bergmann 2008-12-04 14:51:54 UTC
This is a follow up to issue 95065, where cws/sb102/chart2@264845 introduced
VISIBILITY_HIDDEN=TRUE for chart2's charttools and chartview libraries, but kept
exported virtually all symbols (by liberally sprinkling headers with
OOO_DLLPUBLIC_CHARTTOOLS|CHARTVIEW).  This should be cleaned up, minimizing the
number of exported symbols.
Comment 1 IngridvdM 2009-04-09 17:31:41 UTC
fixed in CWS chart37
Comment 2 IngridvdM 2009-04-21 15:38:05 UTC
@sb, please verify in CWS chart37.
Comment 3 Stephan Bergmann 2009-04-21 16:20:31 UTC
Verified that, e.g., on unxlngi6.pro, nm -D --def | wc -l on libcharttoolsli.so
and libchartviewli.so decreases from 1524 and 80 (plain DEV300m44) to 599 and 57
(CWS chart37).
Comment 4 Stephan Bergmann 2009-06-22 10:41:32 UTC
.